=== debian/changelog ===
sdformat (1.4.11-1) unstable; urgency=high
 
  * Initial release. (Closes: #728719)
 
 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 7 Nov 2013 04:46:00 -0700
