=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

.PHONY: override_dh_auto_configure \
        override_dh_auto_build-indep \
        override_dh_auto_test \
        override_dh_strip 

%:
	dh $@ --parallel --with pkgkde-symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
            -DUSE_EXTERNAL_URDF:BOOL=True \
            -DUSE_UPSTREAM_CFLAGS:BOOL=False

override_dh_auto_build-indep:
	dh_auto_build -- doc # Generate documentation.
 
# Tests are broken without a installed copy of sdformat.
# see: https://bitbucket.org/osrf/sdformat/issue/35 
override_dh_auto_test:
	true
       
override_dh_strip:
	dh_strip -a --dbg-package=libsdformat1-dbg
