=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,13 @@
 include (${sdf_cmake_dir}/SDFUtils.cmake)
-
-include_directories(${PROJECT_SOURCE_DIR}/src/urdf)
 
 link_directories(
   ${PROJECT_BINARY_DIR}/test
+  ${tinyxml_LIBRARY_DIRS}
 )
+
+if (USE_EXTERNAL_URDF)
+  link_directories(${URDF_LIBRARY_DIRS})
+endif()
 
 set (sources
   Assert.cc
@@ -15,6 +18,13 @@
   parser_urdf.cc
   Param.cc
   SDF.cc
+)
+
+if (USE_EXTERNAL_URDF)
+  include_directories(${URDF_INCLUDE_DIRS})
+else()
+  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/urdf)
+  set(sources ${sources}
   urdf/urdf_parser/model.cpp
   urdf/urdf_parser/link.cpp
   urdf/urdf_parser/joint.cpp
@@ -24,6 +34,7 @@
   urdf/urdf_parser/urdf_sensor.cpp
   urdf/urdf_parser/world.cpp
 )
+endif()
 
 set (gtest_sources
   SDF_TEST.cc
@@ -35,7 +46,15 @@
 
 sdf_add_library(sdformat ${sources})
 target_link_libraries(sdformat
-  ${tinyxml_libraries}
+  ${tinyxml_LIBRARIES}
   ${Boost_LIBRARIES}
 )
+
+message (STATUS "URDF_LIBRARY_DIRS=${URDF_LIBRARY_DIRS}")
+message (STATUS "URDF_LIBRARIES=${URDF_LIBRARIES}")
+
+if (USE_EXTERNAL_URDF)
+  target_link_libraries(sdformat ${URDF_LIBRARIES})
+endif()
+
 sdf_install_library(sdformat)
