=== debian/changelog ===
sdformat (2.0.0-6) unstable; urgency=medium

  [ Dejan Latinovic ]
  * Team upload.
  * Fix FTBFS due to a failing tests. (Closes: #754619)

 -- Anton Gladky <gladk@debian.org>  Tue, 16 Sep 2014 22:08:55 +0200

sdformat (2.0.0-5) unstable; urgency=medium

  * [31b98a5] Define LC_ALL=POSIX for the test suite (Closes: #750133)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 22 Jun 2014 18:14:33 +0000

sdformat (2.0.0-4) unstable; urgency=medium

  * [5a3c8f0] Implement sdformat-sdf to host common files (Closes: #747393)

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 16 May 2014 17:30:12 +0000

sdformat (2.0.0-3) unstable; urgency=medium

  * [f03ab47] Conflict with libsdformat1. (Closes: #747393)
  * [2f73b57] Restrict test suite only to amd64 (Closes: #747361)
  * [2b207c6] Support for autopkgtest

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 09 May 2014 19:35:55 +0000

sdformat (2.0.0-2) unstable; urgency=medium

  * Add license for search.js. (Closes: #747314)
  * Fix autotests.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 07 May 2014 15:12:41 +0000

sdformat (2.0.0-1) unstable; urgency=medium

  * Fix compilation against urdfdom-0.3.0 (Closes: #74381)
  * Fix watch file to check for several digits versions
  * Upstream fixed the problems for running tests
  * Imported Upstream version 2.0.0
  * New ABI sdformat1 -> sdformat2
  * Remove patches, all changes were merged upstream

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 19 Apr 2014 16:37:43 +0000
