=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
-Priority: extra
+Priority: optional
+Testsuite: autopkgtest
 Build-Depends: cmake,
                debhelper (>= 9),
-               pkg-kde-tools,
+               python,
                latex-xcolor,
                libboost-system-dev,
                libboost-filesystem-dev,
@@ -23,11 +24,13 @@
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/sdformat.git
 Homepage: http://sdformat.org
 
-Package: libsdformat1
+Package: libsdformat2
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:  sdformat-sdf (>= ${source:Version}),
+          ${shlibs:Depends},
+          ${misc:Depends}
 Multi-Arch: same
 Description: Simulation Description Format (SDF) parser - Shared library
  SDF is an XML file format that describes environments, objects, and robots
@@ -49,7 +52,7 @@
          libboost-regex-dev,
          libtinyxml-dev,
          liburdfdom-dev,
-         libsdformat1 (= ${binary:Version}),
+         libsdformat2 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Simulation Description Format (SDF) parser - Development files
@@ -63,12 +66,31 @@
  .
  This package contains development files (headers, shared library
  symbolic link and cmake file).
+
+Package: sdformat-sdf
+Architecture: all
+Section: libdevel
+Depends: ${misc:Depends}
+Multi-Arch: foreign
+Conflicts: libsdformat1
+Description: Simulation Description Format (SDF) parser - SDF files
+ SDF is an XML file format that describes environments, objects, and robots
+ in a manner suitable for robotic applications. SDF is capable of representing
+ and describing different physic engines, lighting properties, terrain, static
+ or dynamic objects, and articulated robots with various sensors, and acutators.
+ The format of SDF is also described by XML, which facilitates updates and
+ allows conversion from previous versions. A parser is also contained within
+ this package that reads SDF files and returns a C++ interface.
+ .
+ This package contains SDF (Simulation Description Format) XML files needed by
+ the libsdformat.
  
-Package: libsdformat1-dbg
+Package: libsdformat2-dbg
 Architecture: any
 Section: debug
+Priority: extra
 Depends:
-     libsdformat1 (= ${binary:Version}),
+     libsdformat2 (= ${binary:Version}),
      ${misc:Depends}
 Multi-Arch: same
 Description: Simulation Description Format (SDF) parser - Debugging symbols
