=== debian/tests/control ===
Tests: build
Depends: libsdformat-dev, build-essential
