## sdformat 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
+cmake_minimum_required(VERSION 2.8.6 FATAL_ERROR)
 
 if(COMMAND CMAKE_POLICY)
   CMAKE_POLICY(SET CMP0003 NEW)
@@ -28,7 +28,7 @@
 set (SDF_PROTOCOL_VERSION 1.5)
 
 set (SDF_MAJOR_VERSION 2)
-set (SDF_MINOR_VERSION 0)
+set (SDF_MINOR_VERSION 2)
 set (SDF_PATCH_VERSION 0)
 
 set (SDF_VERSION ${SDF_MAJOR_VERSION}.${SDF_MINOR_VERSION})
@@ -224,8 +224,23 @@
   set(PKG_LIBRARIES sdformat)
   set(PKG_DEPENDS Boost)
   set(cmake_conf_file "cmake/sdf_config.cmake")
+  set(cmake_conf_version_file "cmake/SDFormatConfigVersion.cmake")
   configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${cmake_conf_file}.in" "${CMAKE_CURRENT_BINARY_DIR}/SDFormatConfig.cmake" @ONLY)
-  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/SDFormatConfig.cmake DESTINATION ${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}/ COMPONENT cmake)
+  # Use write_basic_package_version_file to generate a ConfigVersion file that
+  # allow users of gazebo to specify the API or version to depend on
+  # TODO: keep this instruction until deprecate Ubuntu/Precise and update with
+  # https://github.com/Kitware/CMake/blob/v2.8.8/Modules/CMakePackageConfigHelpers.cmake 
+  include(WriteBasicConfigVersionFile)
+  write_basic_config_version_file(
+      ${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_version_file}
+      VERSION "${SDF_VERSION_FULL}"
+      COMPATIBILITY SameMajorVersion)
+  install(FILES 
+            ${CMAKE_CURRENT_BINARY_DIR}/SDFormatConfig.cmake
+            ${CMAKE_CURRENT_BINARY_DIR}/${cmake_conf_version_file}
+          DESTINATION 
+	    ${LIB_INSTALL_DIR}/cmake/${PROJECT_NAME_LOWER}/ 
+	  COMPONENT cmake)
 
   ########################################
   # Package Creation:
