=== test/integration/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,11 @@
   audio.cc
   cfm_damping_implicit_spring_damper.cc
   fixed_joint_reduction.cc
+  force_torque_sensor.cc
   joint_axis_frame.cc
+  plugin_attribute.cc
   provide_feedback.cc
+  urdf_joint_parameters.cc
 )
 
 link_directories(${PROJECT_BINARY_DIR}/test)
