=== debian/changelog ===
sdformat (2.2.0-1~exp1) experimental; urgency=medium

  * Imported Upstream version 2.2.0
  * Update urdfdom patch with latest work done by upstream
  * Update standards version to 3.9.6
  * Update mailing list

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 21 Nov 2014 01:14:22 +0000

sdformat (2.0.1-1) unstable; urgency=medium

  * Imported Upstream version 2.0.1

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 18 Aug 2014 23:42:06 +0000
