=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: sdformat
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jose Luis Rivero <jrivero@osrfoundation.org>
 Section: science
