=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,12 @@
 include (${sdf_cmake_dir}/SDFUtils.cmake)
+
+include_directories(
+  ${Boost_INCLUDE_DIR}
+)
 
 link_directories(
   ${PROJECT_BINARY_DIR}/test
-  ${tinyxml_LIBRARY_DIRS}
+  ${Boost_LIBRARY_DIR}
 )
 
 if (USE_EXTERNAL_URDF)
@@ -19,6 +23,21 @@
   Param.cc
   SDF.cc
 )
+
+include_directories(${Boost_INCLUDE_DIRS})
+
+if (USE_EXTERNAL_TINYXML)
+  include_directories(${tinyxml_INCLUDE_DIRS})
+else()
+  set(sources ${sources}
+    win/tinyxml/tinystr.cpp  
+    win/tinyxml/tinyxmlerror.cpp
+    win/tinyxml/tinyxml.cpp
+    win/tinyxml/tinyxmlparser.cpp)
+    
+    install (FILES win/tinyxml/tinyxml.h 
+	    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/sdformat-${SDF_VERSION})
+endif()
 
 if (USE_EXTERNAL_URDF)
   include_directories(${URDF_INCLUDE_DIRS})
@@ -41,14 +60,17 @@
   Console_TEST.cc
   Converter_TEST.cc
   parser_urdf_TEST.cc
+  Param_TEST.cc
 )
 sdf_build_tests(${gtest_sources})
 
 sdf_add_library(sdformat ${sources})
-target_link_libraries(sdformat
-  ${tinyxml_LIBRARIES}
-  ${Boost_LIBRARIES}
-)
+target_link_libraries(sdformat ${Boost_LIBRARIES})
+
+if (USE_EXTERNAL_TINYXML)
+  link_directories(${tinyxml_LIBRARY_DIRS})
+  target_link_libraries(sdformat ${tinyxml_LIBRARIES})
+endif()
 
 message (STATUS "URDF_LIBRARY_DIRS=${URDF_LIBRARY_DIRS}")
 message (STATUS "URDF_LIBRARIES=${URDF_LIBRARIES}")
