=== sdf/1.5/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 set (sdfs
-  1_4.convert
   actor.sdf
   audio_source.sdf
   audio_sink.sdf
@@ -48,4 +47,26 @@
   world.sdf
 )
 
-install(FILES ${sdfs} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/sdformat/1.5)
+set (SDF_SCHEMA)
+
+foreach(FIL ${sdfs})
+  get_filename_component(ABS_FIL ${FIL} ABSOLUTE)
+  get_filename_component(FIL_WE ${FIL} NAME_WE)
+
+  list(APPEND SDF_SCHEMA "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.xsd")
+
+  add_custom_command(
+    OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${FIL_WE}.xsd"
+    COMMAND ${CMAKE_SOURCE_DIR}/tools/xmlschema.rb
+    ARGS -s ${CMAKE_CURRENT_SOURCE_DIR} -i ${ABS_FIL} -o ${CMAKE_CURRENT_BINARY_DIR}
+    DEPENDS ${ABS_FIL}
+    COMMENT "Running xml schema compiler on ${FIL}"
+    VERBATIM)
+endforeach()
+
+add_custom_target(schema ALL DEPENDS ${SDF_SCHEMA})
+
+set_source_files_properties(${SDF_SCHEMA} PROPERTIES GENERATED TRUE)
+  
+install(FILES 1_4.convert ${sdfs} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/sdformat/1.5)
+install(FILES ${SDF_SCHEMA} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/sdformat/1.5)
