=== debian/changelog ===
sdformat (2.3.0-1~exp1) experimental; urgency=medium

  * Added ruby as dependency to generate schemas
  * Added a patch to disable a test that requires network
  * Remove previous patch. Already merged upstream
  * Imported Upstream version 2.3.0
  * Set Standards-Version: 3.9.6. No changes

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 04 Feb 2015 02:45:51 +0100

sdformat (2.2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.2.0
  * Update urdfdom patch with latest work done by upstream
  * Update standards version to 3.9.6
  * Update mailing list

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 21 Nov 2014 01:14:22 +0000
