=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
                doxygen,
                texlive-base,
                texlive-fonts-recommended,
-               texlive-latex-extra
+               texlive-latex-extra,
+               ruby | ruby-interpreter
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/sdformat.git
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/sdformat.git
 Homepage: http://sdformat.org
